cfrontend

Hello,
I am trying to install llvm on cygwin. I use gcc 3.4.4 and I have the following problem when I compile the cfrontend :

/cygdrive/c/llvm/cfrontend/build/i686-pc-cygwin/libstdc+±v3/include/bits/char_traits.h:68: error: expected `;’

I have check the file char_traits.h but I haven’t found any problem…
Can you help me ?
Thank you in advance,
Antoine

Hi,

I am trying to install llvm on cygwin. I use gcc 3.4.4 and I have the
following problem when I compile the cfrontend :

/cygdrive/c/llvm/cfrontend/build/i686-pc-cygwin/libstdc++-v3/include/bit
s/char_traits.h:68: error: expected `;'

I've seen a similar problem for long time ago on mingw - As far as I can remember, it was an installment issue between different gcc versions.

Do you have upgraded to gcc 3.4.4? If so. Try to remove all gcc versions from the cygwin installation. Check to be sure that it is completely removed. Then install 3.4.4 and try again.

Henrik.